sys-libs / libudev-compat

Wrapper around libudev.so.1 for packages needing the old libudev.so.0

Official package sites : https://www.gentoo.org/ ·

v186-r1 :: 0 :: gentoo

Modified
License
LGPL-2.1+
Keywords
~amd64 ~x86

abi_mips

n32
64-bit (32-bit pointer) libraries
n64
64-bit libraries
o32
32-bit libraries

abi_riscv

lp64
64-bit (rv64) soft-float libraries
lp64d
64-bit (rv64) double hard-float libraries

abi_s390

32
32-bit (s390) libraries
64
64-bit (s390x) libraries

abi_x86

32
32-bit (x86) libraries
64
64-bit (amd64) libraries
x32
x32 ABI libraries

virtual / libudev : Virtual for libudev providers

virtual / libudev : Virtual for libudev providers

dev-cpp / sourcetrail : A cross-platform source explorer for C/C++ and Java

Repository mirror & CI · gentoo
Merge updates from master
Jonathan Callen · gentoo
sys-libs/libudev-compat: Bump EAPI to 7, drop multilib.eclass (unused)
Package-Manager: Portage-2.3.46, Repoman-2.3.10
Francesco Turco · gentoo
sys-libs/libudev-compat: replace HTTP with HTTPS
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
James Le Cuirot · gentoo
sys-libs/libudev-compat: Add ~x86 keyword
Package-Manager: portage-2.3.0
Jonathan Callen · gentoo
sys-libs/libudev-compat: New package
This installs a libudev.so.0 that wraps libudev.so.1 and provides the few functions that were removed with the SONAME bump. This is only needed for some older binary-only software, including Steam. Package-Manager: portage-2.2.20.1